/*
 * The SmartConfig Library
 * Copyright (C) 2004-2006
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
 *
 * For further informations on the SmartConfig Library please visit
 *
 *                        http://smartconfig.sourceforge.net
 */
package net.smartlab.config;

/**
 * Thrown to indicate the configuration tree scanning or querying has failed.
 * Possibile reasons are dependant by the concrete configuration implementation.
 * 
 * @author rlogiacco
 */
public class ConfigurationException extends Exception {

	private static final long serialVersionUID = 3921809995320346461L;


	/**
	 * Instantiates the class.
	 */
	public ConfigurationException() {
		super();
	}

	/**
	 * Instantiates the class with a message.
	 * 
	 * @param message a description of the exception.
	 */
	public ConfigurationException(String message) {
		super(message);
	}

	/**
	 * Instantiates the class with a cause.
	 * 
	 * @param cause the originating cause.
	 */
	public ConfigurationException(Throwable cause) {
		super(cause);
	}

	/**
	 * Instantiates the class with a message and cause.
	 * 
	 * @param message a description of the exception.
	 * @param cause the originating cause.
	 */
	public ConfigurationException(String message, Throwable cause) {
		super(message, cause);
	}
}
